Bug 234882 - security/strongswan: Update to version 5.7.2
Summary: security/strongswan: Update to version 5.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://wiki.strongswan.org/versions/72
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-11 19:26 UTC by Jose Luis Duran
Modified: 2019-01-14 16:05 UTC (History)
3 users (show)

See Also:
strongswan: maintainer-feedback+


Attachments
Update to version 5.7.2 (31.45 KB, patch)
2019-01-11 19:26 UTC, Jose Luis Duran
no flags Details | Diff
Update to version 5.7.2 (31.96 KB, patch)
2019-01-12 00:29 UTC, Jose Luis Duran
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2019-01-11 19:26:39 UTC
Created attachment 201040 [details]
Update to version 5.7.2

Update to version 5.7.2
Comment 1 Kurt Jaeger freebsd_committer 2019-01-11 19:58:48 UTC
Do you have a link to a changelog ?
Comment 2 Kurt Jaeger freebsd_committer 2019-01-11 20:12:05 UTC
testbuilds are fine, btw.
Comment 3 Jose Luis Duran 2019-01-12 00:29:41 UTC
Created attachment 201048 [details]
Update to version 5.7.2

Thank you for testing it.

I noticed you updated the URL, thank you!

Changes: https://wiki.strongswan.org/versions/72

This revision adds a new patch that shows the right version when issuing:

    $ /usr/local/libexec/ipsec/charon --version
Comment 4 Kurt Jaeger freebsd_committer 2019-01-12 08:29:23 UTC
those testbuilds are fine as well.
Comment 5 strongswan 2019-01-14 09:15:23 UTC
I'm happy with the patch.
Comment 6 commit-hook freebsd_committer 2019-01-14 16:01:55 UTC
A commit references this bug:

Author: swills
Date: Mon Jan 14 16:00:51 UTC 2019
New revision: 490298
URL: https://svnweb.freebsd.org/changeset/ports/490298

Log:
  security/strongswan: update to version 5.7.2

  PR:		234882
  Submitted by:	Jose Luis Duran <jlduran@gmail.com>
  Approved by:	strongswan@Nanoteq.com (maintainer)

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/distinfo
  head/security/strongswan/files/patch-conf_Makefile.in
  head/security/strongswan/files/patch-src_charon_charon.c
  head/security/strongswan/files/patch-src_libcharon_plugins_smp_smp.c
  head/security/strongswan/files/patch-src_libstrongswan_plugins_openssl_openssl__plugin.c
  head/security/strongswan/files/patch-src_libstrongswan_utils_utils_byteorder.h
  head/security/strongswan/files/patch-src_starter_Makefile.in
  head/security/strongswan/pkg-plist
Comment 7 Steve Wills freebsd_committer 2019-01-14 16:05:27 UTC
Committed, thanks!